package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.advise.ProjectListVO;
import cn.com.countrygarden.bi.main.dto.advise.RegionListVO;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerQueyr;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerTableVo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.CkCleanerExternaldisplay;
import cn.com.countrygarden.bi.main.model.ck.CkRegionFiledValueVo;
import cn.com.countrygarden.bi.main.model.ck.ksh.CkKshBasic;
import cn.com.countrygarden.bi.main.model.ck.ksh.CkKshUnlockApplication;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface CkKshExpandService {
    Result getDTableConfig(String role, AccessToken accessToken);

    Result getaddConfig(Integer basicId,String role, AccessToken accessToken);

    Result queryPageList(CkCleanerQueyr cleanerQueyr, AccessToken accessToken);

    Result listTobeFilledIn(CkCleanerQueyr cleanerQueyr, AccessToken accessToken);

    Result addOrEdit(Integer isSubmit,String data, AccessToken accessToken,String selectData);

    Result addSubmitEdit(Integer basicId,Integer isSubmit, String selectData, String valueData, AccessToken accessToken);

    Result del(List<Integer> ids, String dataClassification, AccessToken accessToken);

    CkCleanerTableVo inheritInfo(CkKshBasic ckCleanerBasic);

    int addckexpand(Integer basicId,String data,AccessToken accessToken);

    List<CkCleanerExternaldisplay> ckexpandkedKeys(Integer basicId);

    List<Map<String,String>> ckexpand(Integer[] commId, Integer year, Integer month);

    Result allData(Integer year, Integer month, int page, int size, String updateDate);

    Result statisticsProject(Integer year,Integer month,String orgCode, AccessToken accessToken);

    Result statisProjDetad(Integer year,Integer month,String orgCode,String type,int page,int size,String nianyueStr,AccessToken accessToken) throws ParseException;

    List<CkRegionFiledValueVo> getRegionData(CkCleanerQueyr cleanerQueyr, AccessToken accessToken);

    List<RegionListVO> getRegionDate(AccessToken accessToken);

    List<ProjectListVO> getPojDate(AccessToken accessToken, String organCode);


    Result submitByid(String basicIds, AccessToken accessToken);

    Result applyUnlock(CkKshUnlockApplication unlockApplication, AccessToken accessToken);

    void updateConttPrrty() throws ParseException;

    Result applyUnlockInformation(Integer basicId, AccessToken accessToken);

    Result unlocking(Integer basicId, AccessToken accessToken);


    void updateadd() throws ParseException;

    Result statisticsProjecttishi(AccessToken accessToken);

    void roleadd();

    void xiufuadd();

    void updateEnterTime();

    void updateaddXiugai() throws ParseException;
}
